Quel navigateur pour accéder aux applets Java ?

Le
Olivier
--089e01161a941c76b10528c060c5
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Bonjour,

J'utilise de temps en temps, des applications qui, semblent-il, exigent un
navigateur avec un plugin Java.

J'ai cru comprendre que les principaux navigateurs (Chrome, Iceweasel)
abandonnaient les interfaces NPAPI sur lesquelles s'appuient justement les
plugins Java.

Ai-je bien compris ?
Comment continuer à utiliser ces applications pour les versions prÃ=
©sente et
futures de Debian ?

Slts

--089e01161a941c76b10528c060c5
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir="ltr"><div><div>Bonjour,<br><br></div>J&#39;utilise de temps en =
temps, des applications qui, semblent-il, exigent un navigateur avec un plu=
gin Java.<br><br></div><div>J&#39;ai cru comprendre que les principaux navi=
gateurs (Chrome, Iceweasel) abandonnaient les interfaces NPAPI sur lesquell=
es s&#39;appuient justement les plugins Java.<br></div><div><br></div><div>=
Ai-je bien compris ?<br></div><div>Comment continuer à utiliser ces ap=
plications pour les versions présente et futures de Debian ?<br><br></=
div><div>Slts<br></div></div>

--089e01161a941c76b10528c060c5--
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
VieuxGeek DuSystem
Le #26383346
Et pour le futur j'espère qu'il n'y aura plus de java.

Désolé j'aurai du attendre demain, sur ce bonne année.

Le 7 janvier 2016 à 17:03, Bernard Schoenacker
Le Thu, 7 Jan 2016 16:46:34 +0100,
Olivier
Bonjour,

J'utilise de temps en temps, des applications qui, semblent-il,
exigent un navigateur avec un plugin Java.

J'ai cru comprendre que les principaux navigateurs (Chrome, Iceweasel)
abandonnaient les interfaces NPAPI sur lesquelles s'appuient
justement les plugins Java.

Ai-je bien compris ?
Comment continuer à utiliser ces applications pour les versions
présente et futures de Debian ?

Slts



bonjour olivier,

pour le présent, serait il possible de vérifier :

dpkg -l |awk '/icedtea/ {print $2" "$3}'

icedtea-7-plugin:i386 1.5.2-1.1
icedtea-netx:i386 1.5.2-1.1
icedtea-netx-common 1.5.2-1.1

rmadison -a i386,amd64 icedtea-7-plugin
icedtea-7-plugin | 1.3.2-1 | oldstable | amd64, i386
icedtea-7-plugin | 1.4-3~deb7u1 | oldstable-new | amd64, i386
icedtea-7-plugin | 1.4-3~deb7u2 | oldstable-new | amd64, i386
icedtea-7-plugin | 1.5-2+deb8u1 | stable | amd64, i386
icedtea-7-plugin | 1.5.2-1.1 | testing | amd64, i386
icedtea-7-plugin | 1.5.2-1.1 | unstable | amd64, i386


dans le cas où le greffon n'est pas installé :

sudo -s apt-get install icedtea-7-plugin

slt
bernard

Bernard Schoenacker
Le #26383347
Le Thu, 7 Jan 2016 16:46:34 +0100,
Olivier
Bonjour,

J'utilise de temps en temps, des applications qui, semblent-il,
exigent un navigateur avec un plugin Java.

J'ai cru comprendre que les principaux navigateurs (Chrome, Iceweasel)
abandonnaient les interfaces NPAPI sur lesquelles s'appuient
justement les plugins Java.

Ai-je bien compris ?
Comment continuer à utiliser ces applications pour les versions
présente et futures de Debian ?

Slts



bonjour olivier,

pour le présent, serait il possible de vérifier :

dpkg -l |awk '/icedtea/ {print $2" "$3}'

icedtea-7-plugin:i386 1.5.2-1.1
icedtea-netx:i386 1.5.2-1.1
icedtea-netx-common 1.5.2-1.1

rmadison -a i386,amd64 icedtea-7-plugin
icedtea-7-plugin | 1.3.2-1 | oldstable | amd64, i386
icedtea-7-plugin | 1.4-3~deb7u1 | oldstable-new | amd64, i386
icedtea-7-plugin | 1.4-3~deb7u2 | oldstable-new | amd64, i386
icedtea-7-plugin | 1.5-2+deb8u1 | stable | amd64, i386
icedtea-7-plugin | 1.5.2-1.1 | testing | amd64, i386
icedtea-7-plugin | 1.5.2-1.1 | unstable | amd64, i386


dans le cas où le greffon n'est pas installé :

sudo -s apt-get install icedtea-7-plugin

slt
bernard
Olivier
Le #26383432
--001a11c233d284ccde0528cebb33
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

C'est l'absence de icedtea-8-plugin dans les dépôts qui m'a condu it à poser
la question ici.

Si le développement d'applets Java n'est plus à la mode (pour le reste,
j'ai trouvé ceci [1]), il reste un tas de matériels dont l'IHM re pose sur
ces applets.

Depuis la réponse de Bernard, j'ai trouvé [2] qui n'a pas encore de paquet
Debian, si je ne me trompe pas.
Est-ce néanmoins la voie à suivre ?


[1]
http://www.developpez.com/actu/87863/Meilleurs-langages-de-programmation-en -2015-decouvrez-les-langages-en-forte-croissance-et-les-plus-demandes-par-l es-employeurs-selon-l-IEEE/
[2] http://icedtea.classpath.org/wiki/IcedTea-Web

Le 7 janvier 2016 à 17:03, Bernard Schoenacker a écrit :

Le Thu, 7 Jan 2016 16:46:34 +0100,
Olivier
> Bonjour,
>
> J'utilise de temps en temps, des applications qui, semblent-il,
> exigent un navigateur avec un plugin Java.
>
> J'ai cru comprendre que les principaux navigateurs (Chrome, Iceweasel)
> abandonnaient les interfaces NPAPI sur lesquelles s'appuient
> justement les plugins Java.
>
> Ai-je bien compris ?
> Comment continuer à utiliser ces applications pour les versions
> présente et futures de Debian ?
>
> Slts

bonjour olivier,

pour le présent, serait il possible de vérifier :

dpkg -l |awk '/icedtea/ {print $2" "$3}'

icedtea-7-plugin:i386 1.5.2-1.1
icedtea-netx:i386 1.5.2-1.1
icedtea-netx-common 1.5.2-1.1

rmadison -a i386,amd64 icedtea-7-plugin
icedtea-7-plugin | 1.3.2-1 | oldstable | amd64, i386
icedtea-7-plugin | 1.4-3~deb7u1 | oldstable-new | amd64, i386
icedtea-7-plugin | 1.4-3~deb7u2 | oldstable-new | amd64, i386
icedtea-7-plugin | 1.5-2+deb8u1 | stable | amd64, i386
icedtea-7-plugin | 1.5.2-1.1 | testing | amd64, i386
icedtea-7-plugin | 1.5.2-1.1 | unstable | amd64, i386


dans le cas où le greffon n'est pas installé :

sudo -s apt-get install icedtea-7-plugin

slt
bernard





--001a11c233d284ccde0528cebb33
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Olivier &lt; <div><div class="h5"><br>
&gt; Bonjour,<br>
&gt;<br>
&gt; J&#39;utilise de temps en temps, des applications qui, semblent-il,<br >
&gt; exigent un navigateur avec un plugin Java.<br>
&gt;<br>
&gt; J&#39;ai cru comprendre que les principaux navigateurs (Chrome, Icewea sel)<br>
&gt; abandonnaient les interfaces NPAPI sur lesquelles s&#39;appuient<br>
&gt; justement les plugins Java.<br>
&gt;<br>
&gt; Ai-je bien compris ?<br>
&gt; Comment continuer à utiliser ces applications pour les versions<b r>
&gt; présente et futures de Debian ?<br>
&gt;<br>
&gt; Slts<br>
<br>
</div></div>bonjour olivier,<br>
<br>
pour le présent, serait il possible de vérifier :<br>
<br>
dpkg -l |awk &#39;/icedtea/ {print $2&quot;  &quot;$3}&#39;<br>
<br>
icedtea-7-plugin:i386  1.5.2-1.1<br>
icedtea-netx:i386  1.5.2-1.1<br>
icedtea-netx-common  1.5.2-1.1<br>
<br>
rmadison -a i386,amd64 icedtea-7-plugin<br>
icedtea-7-plugin | 1.3.2-1       | oldstable      | amd64, i386<br>
icedtea-7-plugin | 1.4-3~deb7u1  | oldstable-new | amd64, i386<br>
icedtea-7-plugin | 1.4-3~deb7u2  | oldstable-new | amd64, i386<br>
icedtea-7-plugin | 1.5-2+deb8u1  | stable        | amd64, i386<br>
icedtea-7-plugin | 1.5.2-1.1     | testing        | amd64, i386<br>
icedtea-7-plugin | 1.5.2-1.1     | unstable       | amd64, i386<br>
<br>
<br>
dans le cas où le greffon n&#39;est pas installé :<br>
<br>
sudo -s apt-get install icedtea-7-plugin<br>
<br>
slt<br>
<span class="HOEnZb"><font color="#888888">bernard<br>
<br>
</font></span></blockquote></div><br></div>

--001a11c233d284ccde0528cebb33--
Bernard Schoenacker
Le #26383438
Le Fri, 8 Jan 2016 09:54:17 +0100,
Olivier
C'est l'absence de icedtea-8-plugin dans les dépôts qui m'a conduit à
poser la question ici.

Si le développement d'applets Java n'est plus à la mode (pour le
reste, j'ai trouvé ceci [1]), il reste un tas de matériels dont l'IHM
repose sur ces applets.

Depuis la réponse de Bernard, j'ai trouvé [2] qui n'a pas encore de
paquet Debian, si je ne me trompe pas.
Est-ce néanmoins la voie à suivre ?


[1]
http://www.developpez.com/actu/87863/Meilleurs-langages-de-programmation-en-2015-decouvrez-les-langages-en-forte-croissance-et-les-plus-demandes-par-les-employeurs-selon-l-IEEE/
[2] http://icedtea.classpath.org/wiki/IcedTea-Web

Le 7 janvier 2016 à 17:03, Bernard Schoenacker

> Le Thu, 7 Jan 2016 16:46:34 +0100,
> Olivier >
> > Bonjour,
> >
> > J'utilise de temps en temps, des applications qui, semblent-il,
> > exigent un navigateur avec un plugin Java.
> >
> > J'ai cru comprendre que les principaux navigateurs (Chrome,
> > Iceweasel) abandonnaient les interfaces NPAPI sur lesquelles
> > s'appuient justement les plugins Java.
> >
> > Ai-je bien compris ?
> > Comment continuer à utiliser ces applications pour les versions
> > présente et futures de Debian ?
> >
> > Slts
>



bonjour olivier,


serait il possible de conserver la version 7 du paquet icedtea du fait
qu'il existe encore des bogues ...

mais si tu as envie d'éprouver la derbière version il te suffira
d'employer la procédure de création d'un paquet deb ...

https://packages.debian.org/search?keywords=icedtea-7-plugin
https://www.google.fr/search?q=icedtea-8-plugin&ie=utf-8&oe=utf-8&gws_rd=cr&ei=0X6PVuz_Nsf5aur8mZAH
http://icedtea.classpath.org/wiki/IcedTea_Patches_for_OpenJDK_8


le tuto qui va bien :

https://www.debian.org/doc/manuals/packaging-tutorial/packaging-tutorial.fr.pdf

slt
bernard
Publicité
Poster une réponse
Anonyme